<?php
require_once("connect.inc.php");

function createMap( $renderWidth, $renderHeight )
{
	global $connexion;
	
	// recupere les minimums et maximums en X et Y de la carte (  Xmin et Xmax, et le Ymin et Ymax  )
	$req = '
select min(ground_pos[0]) as xmin, min(ground_pos[1]) as ymin,
       max(ground_pos[0]) as xmax, max(ground_pos[1]) as ymax
from grounds';
	$res = pg_query($connexion, $req);
	
	$Xmin = pg_fetch_result($res, 0, 'xmin');
	$Ymin = pg_fetch_result($res, 0, 'ymin');
	$Xmax = pg_fetch_result($res, 0, 'xmax');
	$Ymax = pg_fetch_result($res, 0, 'ymax');
	
	$srcWidth  = $Xmax - $Xmin + 1;
	$srcHeight = $Ymax - $Ymin + 1;
	
	// determine les dimensions de l'image couleur de la carte complete en fonction de son ratio (coordonees carte) 
	// et de la taille de l'image demandee
	// => la "vraie" image de la carte (couleur = "resized") est positionnee dans la "render" en (imgColorX, imgColorY)
	// qui correspond a la marge noire
	if( $srcWidth >= $srcHeight * $renderWidth/$renderHeight )
	{
		$ratio         = ($renderWidth - 2) / $srcWidth;
		$resizedWidth  =  $renderWidth - 2;
		$resizedHeight =  $srcHeight * $ratio;
		
	} else {
		$ratio         = ($renderHeight - 2) / $srcHeight;
		$resizedWidth  =  $srcWidth * $ratio;
		$resizedHeight =  $renderHeight - 2;
	}
	
	// coordonnees en pixel de "resized" dans "render"
	$imgColorX = abs(  ($renderWidth  - $resizedWidth)  / 2  );
	$imgColorY = abs(  ($renderHeight - $resizedHeight) / 2  );
	
	// parametres pour GD (  fabrication de l'image  )
	$param  = 'Xmin='.$Xmin.'&amp;Ymin='.$Ymin;
	$param .= '&amp;srcWidth='.$srcWidth.'&amp;srcHeight='.$srcHeight;
	$param .= '&amp;renderWidth='.$renderWidth.'&amp;renderHeight='.$renderHeight;
	$param .= '&amp;resizedWidth='.$resizedWidth.'&amp;resizedHeight='.$resizedHeight;
	$script = 'onclick="planClic(event,'.$imgColorX.','.$imgColorY.','.$ratio.','.$Xmin.','.$Ymin.');" alt="" ';

	// balise image (  url =  fichier php GD ) 
	$html  = '<img src="minimap/mapGD.php?'.$param.'" '.$script.' />';	
	$html .= '
<input type="hidden" id="imgColorX" value="'.$imgColorX.'" />
<input type="hidden" id="imgColorY" value="'.$imgColorY.'" />
<input type="hidden" id="ratio" value="'.$ratio.'" />
<input type="hidden" id="Xmin" value="'.$Xmin.'" />
<input type="hidden" id="Ymin" value="'.$Ymin.'" />
';
	return $html;
}
?>
